# $query Retrieves the window ID of a specified query
Usage
    $query[(<target>[,<irc context id>])]
Description
Returns the window ID of the query that has <target> in the list of targets and is bound to the connection specified by <irc context id> If no window matches the specified target or context, and invalid window ID is returned (0). If no <irc context id> is specified, this function looks for the query in the current connection context (if any). If no <target> is specified, this function returns the current query window ID, if executed in a query, else 0.
Syntax Specification
    $query[(<target>[,<irc context id>])]
Examples
See also
$window, $channel, $console window naming conventions

Index, Functions

KVIrc 4.0.4.4744 Documentation
Generated by kerd at Fri Mar 25 20:00:07 2011